<?php

/**
 * Classe qui gère le status d'une requête
 * 
 * @author Olivier Arteau
 */

class CommandStatus implements StatusObject {
	private $message = array();
	private $isCancel = false;
	
	public function toString() {
		return (($this->isCancel) ? "Commande annulée\n" : '') . $this->getStatus();
	}
	
	public function getStatus() {
		return implode("\n", $this->message);
	}
	
	/**
	 * Annule la commande envoyée
	 */
	
	public function cancel() {
		$this->isCancel = true;
	}
	
	/**
	 * Retourne si la commande a été annulé
	 * 
	 * @return (Boolean)
	 */
	
	public function isCancel() {
		return $this->isCancel;
	}
	
	/**
	 * Ajoute un message
	 * 
	 * @param (String) $msg
	 */
	
	public function addMessage($msg) {
		array_push($this->message, $msg);
	}
}
?>